package com.swago.baseswago.model.live;

import java.util.List;

/**
 * @date 2021/12/1 20:26
 * description:
 */
public class RankListModel {

    /**
     * count : string
     * list : [{"total_coins":"string","user_id":"Unknown Type: float","user_head_img_url":"Unknown Type: float","user_name":"string","user_wealth_level":"string"}]
     */

    private int count;
    private String total;
    /**
     * total_coins : string
     * user_id : Unknown Type: float
     * user_head_img_url : Unknown Type: float
     * user_name : string
     * user_wealth_level : string
     */

    private List<ListBean> list;

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        private String total_coins;
        private String user_id;
        private String user_head_img_url;
        private String user_name;
        private String user_wealth_level;

        public String getTotal_coins() {
            return total_coins;
        }

        public void setTotal_coins(String total_coins) {
            this.total_coins = total_coins;
        }

        public String getUser_id() {
            return user_id;
        }

        public void setUser_id(String user_id) {
            this.user_id = user_id;
        }

        public String getUser_head_img_url() {
            return user_head_img_url;
        }

        public void setUser_head_img_url(String user_head_img_url) {
            this.user_head_img_url = user_head_img_url;
        }

        public String getUser_name() {
            return user_name;
        }

        public void setUser_name(String user_name) {
            this.user_name = user_name;
        }

        public String getUser_wealth_level() {
            return user_wealth_level;
        }

        public void setUser_wealth_level(String user_wealth_level) {
            this.user_wealth_level = user_wealth_level;
        }
    }
}
